import React from 'react';
import { Radio, Icon, Button, AutoComplete,Cascader,Input, Select, Spin, Popconfirm, Table, Switch, message,Calendar , DatePicker, Upload, Form ,Modal,Tabs,Card } from 'antd';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import Jquery from 'jquery/dist/jquery.js';
import moment from 'moment';
import { } from '@/dataDic.js';
import { getLiquidationStatus,getApprovedState,getProcessStatus} from '@/tools.js';
import './customer.less';
const TabPane = Tabs.TabPane;
const Dragger = Upload.Dragger;
//图片组件
const PicturesWall = React.createClass({
	getInitialState() {
		return {
			previewVisible: false,
			previewImage: '',
			fileList: [],
		}
	},
	handleCancel() {
		this.setState({
			previewVisible: false
		})
	},
	handlePreview(file) {
		this.setState({
			previewImage: file.url || file.thumbUrl,
			previewVisible: true,
		});
	},
	handleChange(info) {
		let fileList = info.fileList;
		this.setState({
			fileList
		});
		this.props.fileList(fileList);
	},
	componentWillReceiveProps(nextProps) {
		this.state.fileList = nextProps.pictureUrl;
		this.state.pojectApplicationUrl = undefined;
	},
	render() {
		const {
			previewVisible,
			previewImage,
			fileList
		} = this.state;
		const uploadButton = (
			<div>
                <Icon type="plus" />
                <div className="ant-upload-text">点击上传</div>
            </div>
		);
		return(
			<div style={{display:"inline-block"}}>
                <Upload
                    action={globalConfig.context + "/api/admin/customer/uploadCustomerImg"}
                    data={{ 'sign': '' }}
                    listType="picture-card"
                    fileList={fileList}
                    onPreview={this.handlePreview}
                    onChange={this.handleChange} >
                    {fileList.length >= 1 ? null : uploadButton}
                </Upload>
                <Modal maskClosable={false} visible={previewVisible} footer={null} onCancel={this.handleCancel}>
                    <img alt="example" style={{ width: '100%' }} src={previewImage} />
                </Modal>
            </div>
		);
	}
});


const IntentionCustomer = Form.create()(React.createClass({
	loadData(pageNo, apiUrl) {
		this.setState({
			visitModul:false,
			loading: true,
			ispage:pageNo,
			modalVisible:false
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/open/api/admin/newOrder/orderNewList",
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.pagination.pageSize,
				processStatus: 1,//审核列表
				name: this.state.name,//名称
				orderNo: this.state.orderNo,//订单编号
				starTime: this.state.releaseDate[0],//开始时间
				endTime: this.state.releaseDate[1],//结束时间
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						let diqu=(thisdata.province==null?"":thisdata.province)+(thisdata.city==null?"":"-"+thisdata.city)+(thisdata.area==null?"":"-"+thisdata.area);
						theArr.push({
							 key: i,
							 id: thisdata.id,//用户ID
							 orderNo: thisdata.orderNo,//订单编号
	                         totalAmount:thisdata.totalAmount,//签单金额
	                         processStatus:thisdata.processStatus,//流程状态
	                         liquidationStatus:thisdata.liquidationStatus,//结算状态
	                         approval:thisdata.approval,//特批状态
	                         signDate:thisdata.signDate,//签单时间
	                         userName:thisdata.userName,//客户名称
	                         salesmanName:thisdata.salesmanName,//营销员名称
	                         financeName:thisdata.financeName,//财务名称
	                         createDate:thisdata.createDate,//下单时间
						});
					};
					this.state.pagination.current = data.data.pageNo;
				    this.state.pagination.total = data.data.totalCount;
				};
				if(data.data&&data.data.list&&!data.data.list.length){
					this.state.pagination.current=0
					this.state.pagination.total=0
				}
				this.setState({
					dataSource: theArr,
					pageNo: pageNo,
					pagination: this.state.pagination,
					selectedRowKeys:[]
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	getInitialState() {
		return {
			page:1,
			releaseDate: [],
			selectedRowKeys: [],
			orgCodeUrl:[],
			pagination: {
				defaultCurrent: 1,
				defaultPageSize: 10,
				showQuickJumper: true,
				pageSize: 10,
				onChange: function(page) {
					this.loadData(page);
				}.bind(this),
				showTotal: function(total) {
					return '共' + total + '条数据';
				}
			},
			columns: [
				{
                    title: '订单编号',
                    dataIndex: 'orderNo',
                    key: 'orderNo'
                }, {
                    title: '下单时间',
                    dataIndex: 'createDate',
                    key: 'createTime'
                },{
                    title: '合同签订时间',
                    dataIndex: 'signDate',
                    key: 'signDate'
                },{
                    title: '客户名称',
                    dataIndex: 'userName',
                    key: 'userName',
                    render:(text)=>{
                    	return (text&&text.length>9?text.substr(0,9)+'...':text)
                    }
                }, {
                    title: '流程状态',
                    dataIndex: 'processStatus',
                    key: 'processStatus',
                    render:text=>{return getProcessStatus(text)}
                }, {
                    title: '签单金额(万元)',
                    dataIndex: 'totalAmount',
                    key: 'totalAmount'
                },{
                    title: '结算状态',
                    dataIndex: 'liquidationStatus',
                    key: 'liquidationStatus',
                    render:text=>{return getLiquidationStatus(text)}
                }, {
                    title: '是否特批',
                    dataIndex: 'approval',
                    key: 'approval',
                    render:text=>{return getApprovedState(text)}
                },{
                    title: '订单负责人',
                    dataIndex: 'salesmanName',
                    key: 'salesmanName'
                },{
                    title: '财务负责人',
                    dataIndex: 'financeName',
                    key: 'financeName'
                }
			],
			data: [],
			dataSource: [],
		}
	},
	//页面加载函数
	componentWillMount() {
		this.loadData();
	},
	//整行点击
	tableRowClick(record, index) {
		this.setState({
			visible:true,
			orderNo:record.orderNo
		});
		this.xiangqing(record.orderNo);
		this.xiangmu(record.orderNo);
	},	
	xiangqing(orderNos) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/open/api/admin/newOrder/getOrderNewDetail",
			data: {
				orderNo:orderNos
			},
			success: function(data) {
				let theArr = [];
				
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					let thisdata=data.data;
					this.setState({
						 orderNo: thisdata.orderNo,//订单编号
						 contractNo: thisdata.contractNo,//合同编号
						 userName:thisdata.userName,//客户名称
						 signDate:thisdata.signDate,//签单时间
						 processStatus:thisdata.processStatus,//流程状态
	                     liquidationStatus:thisdata.liquidationStatus,//结算状态
	                     contacts:thisdata.contacts,//企业联系人
	                     contactMobile:thisdata.contactMobile,//联系人电话
	                     legalPerson:thisdata.legalPerson,//法人
	                     legalPersonTel:thisdata.legalPersonTel,//法人电话
	                     firstAmount:thisdata.firstAmount,//签单金额
	                     totalAmount:thisdata.totalAmount,//首付金额
	                     approval:thisdata.approval,//特批状态
	                     settlementAmount:thisdata.settlementAmount,//已收款项
	                     orderRemarks:thisdata.orderRemarks,//订单留言
	                     orgCodeUrl: thisdata.contractPictureUrl ? splitUrl(thisdata.contractPictureUrl, ',', globalConfig.avatarHost + '/upload') : [],//图片地址
	                     salesmanName:thisdata.salesmanName,//营销员名称
	                     salesmanMobile:thisdata.salesmanMobile,//营销员电话
	                     financeName:thisdata.financeName,//财务名称
	                     financeMobile:thisdata.financeMobile,//财务电话
					})
				};
				
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	xiangmu(orderNos) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context +"/open/api/admin/newOrder/getOrderTask",
			data: {
				orderNo:orderNos
			},
			success: function(data) {
				let theArr = [];
				
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					let thisdata=data.data;
					this.setState({
						 orderNo: thisdata.orderNo,//订单编号
						 contractNo: thisdata.contractNo,//合同编号
						 userName:thisdata.userName,//客户名称
						 signDate:thisdata.signDate,//签单时间
						 processStatus:thisdata.processStatus,//流程状态
	                     liquidationStatus:thisdata.liquidationStatus,//结算状态
	                     contacts:thisdata.contacts,//企业联系人
	                     contactMobile:thisdata.contactMobile,//联系人电话
	                     legalPerson:thisdata.legalPerson,//法人
	                     legalPersonTel:thisdata.legalPersonTel,//法人电话
	                     firstAmount:thisdata.firstAmount,//签单金额
	                     totalAmount:thisdata.totalAmount,//首付金额
	                     approval:thisdata.approval,//特批状态
	                     settlementAmount:thisdata.settlementAmount,//已收款项
	                     orderRemarks:thisdata.orderRemarks,//订单留言
	                     orgCodeUrl: thisdata.contractPictureUrl ? splitUrl(thisdata.contractPictureUrl, ',', globalConfig.avatarHost + '/upload') : [],//图片地址
	                     salesmanName:thisdata.salesmanName,//营销员名称
	                     salesmanMobile:thisdata.salesmanMobile,//营销员电话
	                     financeName:thisdata.financeName,//财务名称
	                     financeMobile:thisdata.financeMobile,//财务电话
					})
				};
				
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	getOrgCodeUrl(e) {
        this.setState({ orgCodeUrl: e });
    },
	//关闭详情
	visitCancel(e){
		this.setState({
			visible:false
		})
	},
	visitOk(e){
		this.setState({
			visible:false
		})
	},
	render() {
		const formItemLayout = {
			labelCol: { span: 8 },
			wrapperCol: { span: 14 },
		};
		const FormItem = Form.Item;
		const { RangePicker } = DatePicker;
		const rowSelection = {
			selectedRowKeys: this.state.selectedRowKeys,
			onChange: (selectedRowKeys, selectedRows) => {
				this.setState({
					modalVisible:false,
					selectedRows: selectedRows.slice(-1),
					selectedRowKeys: selectedRowKeys.slice(-1)
				});
			},
			onSelect: (recordt, selected, selectedRows) => {
				this.setState({
					modalVisible:false,
					recordt: recordt.id
				})
			},
		};
		const hasSelected = this.state.selectedRowKeys.length > 0;
		return(
			<div className="user-content">
				<div className="content-title">                  
                    <span>订单审核</span>
                </div>
               	<div className="user-search">                    
                   <Input placeholder="客户名称" style={{width:'150px'}}
	                        value={this.state.customerName}
	                        onChange={(e) => { this.setState({ customerName: e.target.value }); }} />
                    <Input placeholder="订单编号" style={{width:'150px'}}
                        value={this.state.orderNo}
                        onChange={(e) => { this.setState({ orderNo: e.target.value }); }} />
                    <span style={{marginRight:"10px"}}>合同签订时间 :</span>
                    <RangePicker
	                        value={[this.state.releaseDate[0] ? moment(this.state.releaseDate[0]) : null,
	                        this.state.releaseDate[1] ? moment(this.state.releaseDate[1]) : null]}
	                        onChange={(data, dataString) => { this.setState({ releaseDate: dataString }); }} />
                    <Button type="primary" onClick={this.search}>搜索</Button>
                    <Button onClick={this.reset}>重置</Button> 
                   	<div className="patent-table">
	                    <Spin spinning={this.state.loading}>
	                        <Table columns={this.state.columns}
	                            dataSource={this.state.dataSource}    
	                            rowSelection={rowSelection}
	                            pagination={this.state.pagination} 
	                            onRowClick={this.tableRowClick}
	                           />
	                    </Spin>
               		 </div> 
               		<Modal	
				      className="customeDetails"
				      footer=''
			          title="订单详情"
			          width='900px'
			          visible={this.state.visible}
			          onOk={this.visitOk}
					  onCancel={this.visitCancel}							          							          
			        >	
				        <Form layout="horizontal" onSubmit={this.handleSubmit} id="demand-form" style={{paddingBottom:'40px'}} >
				            <Spin spinning={this.state.loading}>
				                <div className="clearfix">
				                	<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="订单编号" >
			                            <span>{this.state.orderNo}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="合同编号" >                             
			                                    <Input placeholder="请输入合同编号" value={this.state.contractNo}
			                                    	onChange={(e)=>{this.setState({contractNo:e.target.value})}} style={{width:'240px'}} />
				                    </FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="客户名称" >  
			                            <span>{this.state.userName}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="合同签订时间" >   
			                            <DatePicker
			                              style={{marginTop:"2px",width: '240px',height:"32px" }}
									      showTime
									      format="YYYY-MM-DD"
									      placeholder="合同签订时间"
									      value={this.state.signDate}
									      onChange={(e,time)=>{this.selTime(e,time)}}
									    />
									    <span className="mandatory">*</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="流程状态" >  
			                            <span>{getProcessStatus(this.state.processStatus)}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="结算状态" >  
			                            <span>{getLiquidationStatus(this.state.liquidationStatus)}</span>
		                    		</FormItem>
		                    		
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="企业联系人" >                             
		                                    <Input placeholder="请输入联系人" ref='signTotalAmount' value={this.state.contacts} onChange={(e)=>{this.setState({contacts:e.target.value})}} style={{width:'240px'}} />
				                   			<span className="mandatory">*</span>
				                    </FormItem>
				                     <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="联系人电话" >                             
		                                    <Input placeholder="请输入联系人电话" ref='signTotalAmount' value={this.state.contactMobile} onChange={(e)=>{this.setState({contactMobile:e.target.value})}} style={{width:'240px'}} />
				                   			<span className="mandatory">*</span>
				                    </FormItem>
				                    <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="企业法人" >                             
		                                    <Input placeholder="请输入法人" ref='signTotalAmount' value={this.state.legalPerson} onChange={(e)=>{this.setState({legalPerson:e.target.value})}} style={{width:'240px'}} />
				                    </FormItem>
				                     <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="法人电话" >                             
		                                    <Input placeholder="请输入法人电话" ref='signTotalAmount' value={this.state.legalPersonTel} onChange={(e)=>{this.setState({legalPersonTel:e.target.value})}} style={{width:'240px'}} />
				                    </FormItem>
				                    <FormItem className="half-item"
			                            {...formItemLayout}
			                            label="签单金额(万元)" >                             
		                                    <Input placeholder="签单金额" ref='signTotalAmount' value={this.state.firstAmount} onChange={(e)=>{this.setState({firstAmount:e.target.value})}} style={{width:'240px'}} />
				                   			<span className="mandatory">*</span>
				                    </FormItem>
				                    <FormItem className="half-item"
				                            {...formItemLayout}
				                            label="首付金额(万元)" >                             
			                                    <Input placeholder="请输入实签首款金额" ref='signFirstPayment' value={this.state.totalAmount} onChange={(e)=>{this.setState({totalAmount:e.target.value})}} style={{width:'240px'}} />
				                    		<span className="mandatory">*</span>
				                    </FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="特批立项" >  
			                            <span>{getApprovedState(this.state.approval)}</span>
		                    		</FormItem>
		                    		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="已收款项" >  
			                            <span>{this.state.settlementAmount+'万元'}</span>
		                    		</FormItem>
				                    <div className='clearfix'>
							        	<FormItem
								            labelCol={{ span: 4 }}
								            wrapperCol={{ span: 16 }}
								            label="订单留言" >
								                <Input type="textarea" placeholder="请输入订单留言" rows={4}  value={this.state.orderRemarks} 
									    				onChange={(e)=>{this.setState({orderRemarks:e.target.value})}}/>			                      
								        </FormItem>
							        </div>
				                    <div className='clearfix'>
							            <FormItem
							                labelCol={{ span: 4 }}
							                wrapperCol={{ span: 18 }}
							                label={
							                	<span>
													<strong style={{ color: '#f00' }}>*</strong>合同扫描件
												</span> 
							                }
							                >
							            	
							                <PicturesWall
							                    fileList={this.getOrgCodeUrl}
							                    pictureUrl={this.state.orgCodeUrl} />
							                    <p>图片建议：要清晰。</p>
							            </FormItem>
							        </div>
							        <div className='clearfix'>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="订单负责人" >  
				                            <span>{this.state.salesmanName}</span>
			                    		</FormItem>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="订单负责人电话" >  
                            				<span>{this.state.projectType}</span>
			                    		</FormItem>
			                    	</div>
			                    	<div className='clearfix'>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="财务负责人" >  
				                            <span>{this.state.financeName}</span>
			                    		</FormItem>
			                    		<FormItem className="half-item"
				                            {...formItemLayout}
				                            label="财务负责人电话" >  
                            				<span>{this.state.projectType}</span>
			                    		</FormItem>
			                    	</div>
			                    	<div>
					                	<span style={{marginLeft:'50px',fontSize:'20px'}}>项目业务</span>
					                </div>
					                <div className='addSave' style={{marginTop:'15px'}}>
					                   <Button className="cancel" type="primary" onClick={this.examOk} style={{marginLeft:"200px"}} htmlType="submit">通过</Button>
					                   <Button className="cancel" type="primary" onClick={this.examNo} style={{marginLeft:"50px"}} htmlType="submit">拒绝</Button>
		                               <Button className="cancel" type="ghost" onClick={this.visitCancel} style={{marginLeft:"50px"}}>取消</Button>
	                            	</div>
				                </div>
				            </Spin>
				        </Form>
			        </Modal>
               	</div>  
               	
               	
               	
            </div>
			);
	}
}));
export default IntentionCustomer;






